knewstuff Library: KNS::ProviderLoader Class Reference (knewstuff Library)

| # knewstuff Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNS::ProviderLoader Class Reference

KNewStuff provider loader. More...

`#include <provider.h>`

Inheritance diagram for KNS::ProviderLoader:

[legend]
Collaboration diagram for KNS::ProviderLoader:

[legend]
List of all members.

## Signals
void | providersLoaded (Provider::List *)
## Public Member Functions
| ProviderLoader (QWidget *parentWidget)
void | load (const QString &type, const QString &providerList=QString::null)
## Protected Slots
void | slotJobData (KIO::Job *, const QByteArray &)
void | slotJobResult (KIO::Job *)

## Detailed Description

KNewStuff provider loader.

This class sets up a list of all possible providers by querying the main provider database for this specific application. It should probably not be used directly by the application.

Definition at line 164 of file provider.h.

## Constructor & Destructor Documentation

ProviderLoader::ProviderLoader | ( | QWidget * | parentWidget | ) |

  | Constructor. Parameters:
  | parentWidget | the parent widget
Definition at line 144 of file provider.cpp. References QPtrList::setAutoDelete().

## Member Function Documentation

void ProviderLoader::load | ( | const QString & | type,
|  | const QString & | providerList = `QString::null`
| ) |

  | Starts asynchronously loading the list of providers of the specified type. Parameters:
  | type | data type such as 'kdesktop/wallpaper'.
  | providerList | the URl to the list of providers; if empty we first try the ProvidersUrl from KGlobal::config, then we fall back to a hardcoded value.
Definition at line 150 of file provider.cpp. References QPtrList::clear(), QObject::connect(), and QString::isEmpty().

void KNS::ProviderLoader::providersLoaded | ( | Provider::List * |  | ) | `[signal]`

| Indicates that the list of providers has been successfully loaded.

The documentation for this class was generated from the following files:

- provider.h
- provider.cpp

This file is part of the documentation for knewstuff Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:28:45 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003